### Constructor

# Secret Item new_for_dbus_path_sync

#### Declaration [src]

    SecretItem*
    secret_item_new_for_dbus_path_sync (
      SecretService* service,
      const gchar* item_path,
      SecretItemFlags flags,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Get a new item proxy for a secret item in the secret service.

If `service` is `NULL`, then `secret_service_get_sync()` will be called to get the default `SecretService` proxy.

This method may block indefinitely and should not be used in user interface threads.

Stability: | Unstable
This constructor is not directly available to language bindings

#### Parameters

`service` | `SecretService`
| A secret service object.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`item_path` | `const gchar*`
| The D-Bus path of the item.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`flags` | `SecretItemFlags`
| Initialization flags for the new item.
`cancellable` | `GCancellable`
| Optional cancellation object.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `SecretItem`
| The new item, which should be unreferenced with `g_object_unref()`
| The caller of the function takes ownership of the data, and is responsible for freeing it.